rpm 4.10.90

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Typedefs | Functions
rpmps.h File Reference
Problem Set API.

Structures and prototypes used for an "rpmps" problem set. More...

`#include <stdio.h>`
`#include <rpm/rpmtypes.h>`
`#include <rpm/rpmprob.h>`
Include dependency graph for rpmps.h:

Go to the source code of this file.

## Typedefs

typedef struct rpmpsi_s * | rpmpsi
| Problem set iterator.

## Functions

rpmps | rpmpsLink (rpmps ps)
| Reference a problem set instance.
int | rpmpsNumProblems (rpmps ps)
| Return number of problems in set.
rpmpsi | rpmpsInitIterator (rpmps ps)
| Initialize problem set iterator.
rpmpsi | rpmpsFreeIterator (rpmpsi psi)
| Destroy problem set iterator.
rpmProblem | rpmpsiNext (rpmpsi psi)
| Return next problem from iterator.
int | rpmpsNextIterator (rpmpsi psi)
| Return next problem set iterator index.
rpmProblem | rpmpsGetProblem (rpmpsi psi)
| Return current problem from problem set.
rpmps | rpmpsCreate (void)
| Create a problem set.
rpmps | rpmpsFree (rpmps ps)
| Destroy a problem set.
void | rpmpsPrint (FILE *fp, rpmps ps)
| Print problems to file handle.
void | rpmpsAppendProblem (rpmps ps, rpmProblem prob)
| Append a problem to current set of problems.
int | rpmpsMerge (rpmps dest, rpmps src)
| Merge problem set into another.

## Detailed Description

Structures and prototypes used for an "rpmps" problem set.

Definition in file rpmps.h.